Bug 1307024 - Rebase virt-who in Satellite 6 Streams (was) virt-who needs to report facts about the hypervisors
Rebase virt-who in Satellite 6 Streams (was) virt-who needs to report facts a...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin (Show other bugs)
6.1.6
Unspecified Unspecified
high Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
jcallaha
: PrioBumpPM
Depends On:
Blocks: 1353215
  Show dependency treegraph
 
Reported: 2016-02-12 08:27 EST by Sebastian Hetze
Modified: 2017-08-15 16:32 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Hetze 2016-02-12 08:27:23 EST
Description of problem:
virt-who does not collect facts about the hypervisors, the number of sockets in particular.
Candlepin does not register facts about hypervisors.
vDC subscriptions compliance can not be determined without that information.


Steps to Reproduce:
1. deploy RHEL VMs on 4 Socket Hypervisor
2. attach virt-who to vcenter and Sat6
3. assign one vDC sub to Hypervisor

Actual results:
Subscription status is green

Expected results:
Candepin should detect and report the missing vDC subscription for the second socket pair
Comment 1 Barnaby Court 2016-03-02 15:58:24 EST
Which version of virt-who are you using? Current versions do report the sockets used for vsphere hypervisors and that should be used for compliance checking by Candlepin. Can also attach a copy of the virt-who logs?
Comment 2 Sebastian Hetze 2016-03-07 08:56:48 EST
I am using virt-who 0.14-9.el7sat and both libvirt and RHEV 3.5 for virtualization.

The hypervisors listed as Content Hosts in Sat6 do not have Advanced Information and I do not see any information regarding the number of sockets in any of the reports available via the API.

To be honest, I do not have a 4 socket machine at hand to see if virt-who behaves differently in that case. Anyway, I would expect the number of sockets to be reported for a 1 or 2 socket HV as well.


Dont know where virt-who does send the logs to.

virt-who --print output is as follows:

{
    "hypervisors": [
        {
            "uuid": "bx-ipa.lunetix.org",
            "guests": [
                {
                    "guestId": "350cc8f7-11dc-4c10-8945-d912931f0f94",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "libvirt",
                        "hypervisorType": "QEMU"
                    }
                }
            ]
        },
        {
            "uuid": "hv-56562.lunetix.org",
            "guests": [
                {
                    "guestId": "c6a606b2-28da-4b37-8bd3-14945e95ed2b",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "rhevm",
                        "hypervisorType": "qemu"
                    }
                }
            ]
        },
        {
            "uuid": "hv01.lunetix.org",
            "guests": [
                {
                    "guestId": "e2ecb5cc-5f8f-49d8-a9b6-2c5488b053a7",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "rhevm",
                        "hypervisorType": "qemu"
                    }
                },
                {
                    "guestId": "effb947f-dc95-4144-92ea-1b492de5ac20",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "rhevm",
                        "hypervisorType": "qemu"
                    }
                },
                {
                    "guestId": "ee12cf12-f8fe-4b4e-9052-9b5ae9e60684",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "rhevm",
                        "hypervisorType": "qemu"
                    }
                },
                {
                    "guestId": "1855f90d-19c8-450d-bd0f-2ab1bcaaca71",
                    "state": 1,
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "rhevm",
                        "hypervisorType": "qemu"
                    }
                }
            ]
        }
    ]
}
Comment 3 Barnaby Court 2016-03-07 10:28:07 EST
The inclusion of these facts has been added to virt-who 0.16.
Comment 6 Bryan Kearney 2016-05-31 10:42:45 EDT
This version of virt-who will be released with RHEL 6.8 and 7.3. I am moving this to a zStream to decide if we want to add this into the Satellite streams.
Comment 21 Radek Novacek 2016-10-27 03:23:12 EDT
I believe that you'll need Candlepin 2.0. It has some required changes so virt-who can report facts about the hypervisor.
Comment 24 Barnaby Court 2016-12-16 16:15:29 EST
This will be fixed by the upgrade to Candlepin 2.0
Comment 26 jcallaha 2017-08-10 16:01:44 EDT
Verified in Satellite 6.3 Snap 10.

-bash-4.2# virt-who --print | python -m json.tool
2017-08-10 16:00:28,123 INFO: Using configuration "esx" ("esx" mode)
2017-08-10 16:00:28,123 INFO: Using reporter_id='rhsm-qe-1.rhq.lab.eng.bos.redhat.com-fca6cdd9c5944fdd9cc75d94d9cfd0f9'
2017-08-10 16:00:28,922 INFO: Report for config "esx" gathered, placing in datastore
{
    "hypervisors": [
        {
            "facts": {
                "cpu.cpu_socket(s)": "1",
                "hypervisor.type": "VMware ESXi",
                "hypervisor.version": "6.5.0"
            },
            "guests": [],
            "name": "nightwing.hq.gsslab.rdu.redhat.com",
            "uuid": "nightwing.hq.gsslab.rdu.redhat.com"
        },
        {
            "facts": {
                "cpu.cpu_socket(s)": "2",
                "hypervisor.type": "VMware ESXi",
                "hypervisor.version": "6.5.0"
            },
            "guests": [
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e6e8a-b79b-d8a9-4063-a3652e0aa174",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421eb1b6-485a-513d-4ccb-7ce5d17fd36e",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e7e80-e348-fcfc-5503-1be8640a36d5",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e7553-6602-8fde-c363-b77918b30b26",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421eb7fb-108a-0de0-fe17-56719b35ce3d",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ef0eb-7b7b-c1cf-93c7-2e03506d5dcb",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422eec1d-6930-b01a-50ef-c7089a603fe7",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e2628-e99b-3ad7-2932-ab51fd4e6716",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e7b76-21c1-539d-28d9-fb6aed3f81bb",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422ed8bb-181c-c6c1-48a8-429f6aa32d0c",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e15fd-d1f1-8e1e-d6b9-059850734f39",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422ed2a5-92e9-07bd-3a3f-849bc7f943b4",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422eb0a1-62eb-21cd-8153-8cf15b601676",
                    "state": 5
                }
            ],
            "name": "bulgaria.hq.gsslab.rdu.redhat.com",
            "uuid": "bulgaria.hq.gsslab.rdu.redhat.com"
        },
        {
            "facts": {
                "cpu.cpu_socket(s)": "1",
                "hypervisor.type": "VMware ESXi",
                "hypervisor.version": "6.5.0"
            },
            "guests": [
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ea667-1e26-d2c3-2b69-7516d2a98a7f",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e7ae9-ead4-50aa-4295-d2564643192b",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e1a35-9af3-e8af-b85e-716d85e12df7",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e5fbd-2e48-e1db-3e06-4bd63702044f",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e15f8-87f7-ccaa-8c63-ce2d5018775a",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e59ea-0e6f-e63a-7f70-33bcfa492c3a",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ed47d-5827-2df8-15e9-f4542f17786b",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e140e-2cf3-fa7e-251e-2046b69323f1",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e9079-5a1a-b68a-9f9a-8d1a7d51e993",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ef78f-80ae-41e6-c570-34dac82c507d",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422ecb98-b6d5-87c6-a317-24721d487356",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e4279-8192-f1ef-544d-fc96226c5d85",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ec12e-5a81-d635-892b-c9b62b8cf202",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422efa7c-c39d-8752-ebae-bab6f3dd455d",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e2eae-2da4-5d1e-1037-89a662236e8d",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e0e68-670c-6b1b-e0c4-83f1abf1bcda",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421edf76-8eb6-84b6-f341-bee89d8a4aad",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422ed0c4-25ab-fed5-f820-44f9883ae705",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "4231bb1b-64a8-98db-adef-c4e288d3ca28",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ef4c7-162b-43a0-33e2-2392ff1b4633",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e5063-8094-3cba-793c-e267768857f4",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e340b-5416-64df-ccea-27ba4ab055bb",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421eb8b6-4c86-be30-f5e0-f3edeae78495",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e6759-5e77-9c5c-c779-ff35259871dd",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ec27d-2ed8-7175-27ef-627dc68edf6b",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "4231f0b9-87f5-7f6d-1d29-f85a6d968254",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e7f87-2a8f-64cb-6df3-6b052026570a",
                    "state": 5
                }
            ],
            "name": "jericho.hq.gsslab.rdu.redhat.com",
            "uuid": "jericho.hq.gsslab.rdu.redhat.com"
        },
        {
            "facts": {
                "cpu.cpu_socket(s)": "2",
                "hypervisor.type": "VMware ESXi",
                "hypervisor.version": "6.5.0"
            },
            "guests": [
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ecf23-6ea9-26ee-e588-6ba3712c3b89",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e761d-159e-65d9-1231-c2bc4e36701b",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e9066-5ce7-ce13-3bd7-d8746ded9f05",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e2ec0-6441-0305-f3ec-10c65e95f542",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ebe10-d578-60cc-8938-0be936127ab8",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e303b-bc12-a74c-cb10-99c3906557fc",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e2a07-1ccd-08c5-ae61-e77a9068e40a",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "564dd1c9-ea58-8b5a-529d-9c48a2a2d42e",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e25b8-f8a6-52e2-2fac-68f083ba010f",
                    "state": 5
                }
            ],
            "name": "dhcp-8-101-249.satellite.lab.eng.rdu2.redhat.com",
            "uuid": "dhcp-8-101-249.satellite.lab.eng.rdu2.redhat.com"
        },
        {
            "facts": {
                "cpu.cpu_socket(s)": "2",
                "hypervisor.type": "VMware ESXi",
                "hypervisor.version": "6.5.0"
            },
            "guests": [
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ebb69-990d-b7cf-1371-40a1b3785db9",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e9c2d-cb8f-7f8a-9768-f76db6e6ab15",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e269f-9dcf-a744-6871-6c295026e678",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e687e-befc-3128-e9e2-78983c7fa869",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421eb569-c586-4191-c971-8b84d3e2ea56",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ebe51-f9de-71b6-c458-e6595e6b232e",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e6a41-e22a-339a-423e-08c790734f46",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e7469-15d5-e10b-5c49-622d002f5259",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e13cd-feef-61d4-f101-2aeff6c3ddec",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e9789-d75e-1c94-32f8-6219c7ce6bad",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e58a8-5f06-ed1f-531c-0e00f9bdea86",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422ec3ec-ab1d-beb7-a36e-8eb72cad2dce",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421e093a-7c43-77bf-7b84-49c1cede5cf6",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e7280-3d50-de09-9d87-24b9a0043255",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 0,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e557d-c070-3267-e38a-e366f0d1bc96",
                    "state": 5
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "422e031e-dfbe-a36a-a6c0-a000dcce47a5",
                    "state": 1
                },
                {
                    "attributes": {
                        "active": 1,
                        "virtWhoType": "esx"
                    },
                    "guestId": "421ed039-2b86-ce75-8be3-89397a4d8ba8",
                    "state": 1
                }
            ],
            "name": "supermicro-2027gr-tr2-1.gsslab.rdu2.redhat.com",
            "uuid": "supermicro-2027gr-tr2-1.gsslab.rdu2.redhat.com"
        }
    ]
}

Note You need to log in before you can comment on or make changes to this bug.